org.richfaces.event

## Class MethodExpressionPanelToggleListener

- java.lang.Object
- - org.richfaces.event.MethodExpressionEventListener
  - - org.richfaces.event.MethodExpressionPanelToggleListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, PanelToggleListener

      public class MethodExpressionPanelToggleListener
      extends MethodExpressionEventListener
      implements PanelToggleListener

  MethodExpressionPanelToggleListener is a `PanelToggleListener` that wraps a `MethodExpression`. When it receives a `PanelToggleEvent`, it executes a method on an object identified by the `MethodExpression`.

  Version:
    1.0
  Author:
    akolonitsky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionPanelToggleListener()`
    `MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg)`
    `MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg, javax.el.MethodExpression methodExprZeroArg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processPanelToggle(PanelToggleEvent panelToggleEvent)` Invoked when `PanelToggleEvent` occurs.

    - ### Methods inherited from class org.richfaces.event.MethodExpressionEventListener

      `isTransient, processEvent, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionPanelToggleListener

          public MethodExpressionPanelToggleListener()

    - #### MethodExpressionPanelToggleListener

          public MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg)

    - #### MethodExpressionPanelToggleListener

          public MethodExpressionPanelToggleListener(javax.el.MethodExpression methodExprOneArg,
                                                     javax.el.MethodExpression methodExprZeroArg)

  - ### Method Detail

    - #### processPanelToggle

          public void processPanelToggle(PanelToggleEvent panelToggleEvent)
                                  throws javax.faces.event.AbortProcessingException

      Description copied from interface: `PanelToggleListener`

      Invoked when `PanelToggleEvent` occurs.

      Specified by:
        `processPanelToggle` in interface `PanelToggleListener`
      Parameters:
        `panelToggleEvent` - The `PanelToggleEvent` that has occurred
      Throws:
        `javax.faces.event.AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.